package com.keao.edu.user.entity;

import com.keao.edu.auth.api.entity.SysUser;
import com.keao.edu.user.enums.ExamRoomTeaherTypeEnum;
import com.keao.edu.user.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_review):
 */
public class ExamReview {

	/**  */
	private Long id;

	@ApiModelProperty(value = "学员报考编号")
	private Long examRegistrationId;

	@ApiModelProperty(value = "考试编号")
	private Long examinationBasicId;

	private Long examRoomId;
	
	/**  */
	@ApiModelProperty(value = "教师编号")
	private Integer teacherId;

	private SysUser teacher;
	
	/**  */
	@ApiModelProperty(value = "学员编号")
	private Integer studentId;
	
	/** 评价 */
	@ApiModelProperty(value = "评价")
	private String evaluationContent;

	@ApiModelProperty(value = "教师属性")
	private ExamRoomTeaherTypeEnum teacherType;
	
	/** 结果 */
	@ApiModelProperty(value = "结果")
	private Integer evaluationResult;
	
	private java.util.Date createTime;
	
	private java.util.Date updateTime;
	
	private String tenantId;

	@ApiModelProperty(value = "能否编辑")
	private YesOrNoEnum enableEdit;

	@ApiModelProperty(value = "考试基本信息")
	private ExaminationBasic examinationBasic;

	public Long getExamRegistrationId() {
		return examRegistrationId;
	}

	public void setExamRegistrationId(Long examRegistrationId) {
		this.examRegistrationId = examRegistrationId;
	}

	public ExaminationBasic getExaminationBasic() {
		return examinationBasic;
	}

	public void setExaminationBasic(ExaminationBasic examinationBasic) {
		this.examinationBasic = examinationBasic;
	}

	public Long getExamRoomId() {
		return examRoomId;
	}

	public void setExamRoomId(Long examRoomId) {
		this.examRoomId = examRoomId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public SysUser getTeacher() {
		return teacher;
	}

	public void setTeacher(SysUser teacher) {
		this.teacher = teacher;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}

	public ExamRoomTeaherTypeEnum getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(ExamRoomTeaherTypeEnum teacherType) {
		this.teacherType = teacherType;
	}

	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setEvaluationContent(String evaluationContent){
		this.evaluationContent = evaluationContent;
	}
	
	public String getEvaluationContent(){
		return this.evaluationContent;
	}

	public Integer getEvaluationResult() {
		return evaluationResult;
	}

	public void setEvaluationResult(Integer evaluationResult) {
		this.evaluationResult = evaluationResult;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}

	public YesOrNoEnum getEnableEdit() {
		return enableEdit;
	}

	public void setEnableEdit(YesOrNoEnum enableEdit) {
		this.enableEdit = enableEdit;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
